#include <bits/stdc++.h>

using namespace std;

int main(){
ios::sync_with_stdio(false);
cin.tie(0);
int t; cin >> t;
while(t--){
    int n, m, k; cin >> n >> m >> k;
    int b = n / k;
    int p = n % k;
    if( k > n ){ cout << "Nie\n";}
    else{
        if( k * b * (b + 1) / 2 + p * (b + 1) <= m){ cout << "Tak\n";}
        else{ cout << "Nie\n";}
    }

}

    return 0;
}